###################################################################################################
##########                        EXERCISE 4: MATCHING CHARACTERS                        ##########
###################################################################################################
# Step 1: Write the function based on the docstring
# Step 2: Confirm that the function works with all of the provided examples

###################################################################################################
# If you have extra time
# Step 1: Create a new function that returns a string where all characters that don't match are
#         replaced with "-"
# Step 2: Make this function work if the strings don't have the same length

# If you have EVEN MORE time, try out some of the loop exercises on PrairieLearn!
###################################################################################################

def matching_chars(string1, string2):
    """
    Returns the number of indices where two strings have the same character

    Examples:
        matching_chars("hello", "jello") --> 4
        matching_chars("hair", "help") --> 1
        matching_chars("thing", "sting") --> 3

    Arguments:
        string1 (str): the first string
        char_to_keep (str): the second string
            Assumptions: string1 and string2 have the same length
    Returns:
        int: the number of matches in the string
    """
    count = 0
    for i in range(len(string1)):
        if string1[i] == string2[i]:
            count += 1
    return count

print("Should be 4:", matching_chars("hello", "jello"))
print("Should be 1:", matching_chars("hair", "help"))
print("Should be 3:", matching_chars("thing", "sting"))


###################################################################################################
##########                           EXERCISE 5: GUESSING GAME                           ##########
###################################################################################################
# Step 1: Tell the user if their guess is correct
# Step 2: If the guess is correct, print "great job" and exit the loop
# Step 3: If the guess is incorrect, print "try again!" and ask for a new guess

###################################################################################################
# If you have extra time
# Step 1: Make the number that is guessed a random number between 1 and 10. If you don't remember
#         how to do this, look at the lottery code from last week.
# Step 2: Give an option for the user to say "give up" and exit the loop
# Step 3: Tell the user how close they are (hot vs. cold or too high vs. too low)
###################################################################################################



def guessing_game():
    """
    Plays a number guessing game with the user. Asks for a guess until the user guesses the number
    target.
    
    Arguments:
        N/A
        
    Returns: None
    """
    target = 4
    guessed = False
    
    while not guessed:
        user_guess = int(input("What number am I thinking of (between 1 and 10)? "))
        
        # You should update the code here for step 1!
        # HINT: you will need to put a conditional inside of your loop
        #       and update the guessed variable if the user is correct
        if user_guess == target:
            guessed = True
            print("great job")
        else:
            print("try again")
    
    
print("Playing the guessing game...")
guessing_game()


